%global zikula_base         %{_datadir}/zikula
%global zikula_moddir       %{zikula_base}/modules
%global zikula_modname      feeds

Name:           zikula-module-%{zikula_modname}
Version:        2.1
Release:        2%{?dist}
Summary:        RSS feeds module for zikula
Group:          Applications/Publishing
License:        GPLv2+
URL:            http://community.zikula.org/module-Extensions-display-ot-component-componentid-28.htm
# Source URL is dynamically generated. Go to URL to fetch it
Source0:        package_8734647242b27273570446d8ff63ba68.zip
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       zikula

%description
RSS feeds module for Zikula Application Framework

%prep
%setup -q -c

# Remove empty index.html and others
find -size 0 | xargs rm -f

# Rpmlint warnings E: script-without-shebang
find . -name '*.php' -exec chmod 0644 '{}' \;
find . -name '*.css' -exec chmod 0644 '{}' \;

%build

%install
rm -rf %{buildroot}

cd modules/Feeds/
mkdir -p %{buildroot}/%{zikula_moddir}/%{zikula_modname}
cp -pr . %{buildroot}/%{zikula_moddir}/%{zikula_modname}

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%{zikula_moddir}/%{zikula_modname}


%changelog

* Fri Aug 28 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 2.1-2
- Fix license tag and add Source URL comment

* Wed Aug 27 2009 Rahul Sundaram <sundaram@fedoraproject.org> - 2.1-1
- initial package
- Based on Chitlesh Goorah's spec
